// Line.h: interface for the CLine class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_LINE_H__6D5B93A1_538C_11D1_91FE_843B0AC10000__INCLUDED_)
#define AFX_LINE_H__6D5B93A1_538C_11D1_91FE_843B0AC10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

// There are lots of machines (eg Intel i960) in which
// the machine really does well if this structure
// is 16 bytes long. I'd seriously consider optimizing by making
// m_nXStart and m_nXEnd into words.

class CBlob;

class CLine  
{
public:
	int m_nXStart;
	int m_nXEnd;
	int m_nY;
	CBlob *m_pBlob;
	CLine *m_pNextLineSameBlob;
};

BOOL operator < (const CLine &,const CLine &);
BOOL operator == (const CLine &,const CLine &);

#endif // !defined(AFX_LINE_H__6D5B93A1_538C_11D1_91FE_843B0AC10000__INCLUDED_)
