// Blob.h: interface for the CBlob class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BLOB_H__1C64D0E1_5906_11D1_91FE_843B0AC10000__INCLUDED_)
#define AFX_BLOB_H__1C64D0E1_5906_11D1_91FE_843B0AC10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CLine;

class CBlob  
{
public:
	int GetDIBRasterWidth();
	int GetDIBSize();
	CPoint CQTLocation();
	double MatchBlobs(CBlob &blobOther);
	int GetArea() const;
	CPoint GetCentroid();
	BOOL PtInBlob(const CPoint &);
	void GetRect(CRect &cr);
	 CBlob();
	int m_nOpenLines;
	CLine ** m_ppLastLine;
	CLine * m_pFirstLine;
	int m_nLoops;
	void Merge(CBlob *pBlobOther);
	void GetDIB(BITMAPINFOHEADER &bmih,void *pBits);
protected:
	CRect m_cr;
};

#endif // !defined(AFX_BLOB_H__1C64D0E1_5906_11D1_91FE_843B0AC10000__INCLUDED_)
