#if !defined(AFX_HISTOGRAMWND_H__33D1CBE2_605C_11D1_91FE_843B0AC10000__INCLUDED_)
#define AFX_HISTOGRAMWND_H__33D1CBE2_605C_11D1_91FE_843B0AC10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// HistogramWnd.h : header file
//

#include <vector>

using namespace std;

/////////////////////////////////////////////////////////////////////////////
// CHistogramWnd window - this displays and allows editing of a histogram

class CHistogramWnd : public CWnd
{
// Construction
public:
	CHistogramWnd();

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHistogramWnd)
	//}}AFX_VIRTUAL

// Implementation
public:
	int m_nBound;
	vector<int> m_vHistogram;
	virtual ~CHistogramWnd();

	// Generated message map functions
protected:
	BOOL m_bMovingSlider;
	void GetSliderRect(CRect &cr);
	int ConvertChannelToX(int nChannel);
	int ConvertXToChannel(int nX);
	//{{AFX_MSG(CHistogramWnd)
	afx_msg void OnPaint();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnKillFocus(CWnd* pNewWnd);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HISTOGRAMWND_H__33D1CBE2_605C_11D1_91FE_843B0AC10000__INCLUDED_)
