// ImageDoc.h : interface of the CImageDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_IMAGEDOC_H__49989ECB_536B_11D1_91FE_843B0AC10000__INCLUDED_)
#define AFX_IMAGEDOC_H__49989ECB_536B_11D1_91FE_843B0AC10000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CMonochromeBitmap;

class CImageDoc : public CDocument
{
protected:
	CImageDoc();
	DECLARE_DYNAMIC(CImageDoc)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CImageDoc)
	public:
	//}}AFX_VIRTUAL

// Implementation
public:
	int GetRasterWidthInBytes();
	virtual BOOL IsEmpty() = 0;
	virtual int Height();
	virtual int Width();
	virtual void StretchBlt(CDC &dc,CRect &crDest,CRect &crSrc,DWORD dwRop) = 0;
	virtual CMonochromeBitmap & GetMonochromeBitmap() = 0;
	virtual ~CImageDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CImageDoc)
	afx_msg void OnFileExport();
	afx_msg void OnUpdateFileExport(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_IMAGEDOC_H__49989ECB_536B_11D1_91FE_843B0AC10000__INCLUDED_)
