// Line.cpp: implementation of the CLine class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Segment.h"
#include "Line.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

BOOL operator < (const CLine &l1,const CLine &l2)
{
	if (l1.m_nY < l2.m_nY) return TRUE;
	if (l2.m_nY < l2.m_nY) return TRUE;
	return (l1.m_nXStart < l2.m_nXStart);
}

BOOL operator == (const CLine &l1,const CLine &l2)
{
	return (l1.m_nY == l2.m_nY) &&
		   (l1.m_nXStart == l2.m_nXStart) &&
		   (l1.m_nXEnd == l2.m_nXEnd);
}

